HttpServer::PermissiveAuthenticator Class Reference

class providing automatic authentication for all requests More...

Inheritance diagram for HttpServer::PermissiveAuthenticator:
[legend]

## Public Member Functions

*hash | authenticateRequest (HttpListenerInterface listener, hash hdr, reference cx)
| primary method called to authenticate each request More...
Public Member Functions inherited from HttpServer::AbstractAuthenticator
| authenticate (string user, string pass="")
| called to authenticate a user for a connection More...
| authenticateByIP (string ip, reference user)
| called when the connection requires authentication, but no authentication credentials were supplied, to try to authenticate the connection based on the source IP address More...
*hash | authenticateRequest (HttpListenerInterface listener, hash hdr, reference cx)
| primary method called to authenticate each request More...
string | getRealm ()
| returns the authentication realm as a string More...
bool | requiresAuthentication ()
| called to check if the connection requires authentication More...

## Detailed Description

class providing automatic authentication for all requests

## Member Function Documentation

*hash HttpServer::PermissiveAuthenticator::authenticateRequest | ( | HttpListenerInterface | listener,
|  | hash | hdr,
|  | reference | cx
| ) |  |

primary method called to authenticate each request

Parameters

  listener | an HttpListenerInterface object for the listener serving the request for logging purposes
  hdr | a hash of request headers
  cx | a reference to the call context hash; set the `"user"` key to the user name if a user was identified and authorized

Returns
  returns NOTHING indicating that the request is authenticated